<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <StartupObject>ZUGFeRDRESTService.Program</StartupObject>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="FirebirdSql.Data.FirebirdClient" Version="7.5.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="3.1.2" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.1" />
    <PackageReference Include="NLog" Version="4.7.5" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="4.9.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.8.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Modules.Database\Database.vbproj" />
    <ProjectReference Include="..\..\Modules.Interfaces\Interfaces.vbproj" />
    <ProjectReference Include="..\..\Modules.Logging\Logging.vbproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.Development.json">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </Content>
  </ItemGroup>


</Project>
